Bug 23786 - incompatibility with 2.6.29 kernel
incompatibility with 2.6.29 kernel
Status: VERIFIED WONTFIX
Product: DRI
Classification: Unclassified
Component: DRM/Intel
XOrg git
Other Linux (All)
: medium critical
Assigned To: Jesse Barnes
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-08 00:58 UTC by zhao jian
Modified: 2010-01-26 19:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
xorg.0.log (19.15 KB, text/plain)
2009-09-08 00:58 UTC, zhao jian
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description zhao jian 2009-09-08 00:58:00 UTC
Created attachment 29329 [details]
xorg.0.log

System Environment:
--------------------------
Arch  x86_64  
Platform  G45   
Libdrm: (master)73b59c894380995a2889b98e79acadd2da0bb237
Mesa: (master)8126dfa9c24c972794193bf652d6d09a1d01b376
Xserver: (server-1.6-branch)3044711412d0a08ba65a491bd2441c0c8980f5e2
Xf86_video_intel: (master)5812531e08147576de776b2dd64e7f94c08eb851
Kernel: (qa-branch)ba1d2a9be507cda299c15740ff7e2bb3705a4792

Bug detailed description:
-------------------------
When our code co-work with our Q1 kernel on QA branch, X can be started. But when run glxgears or some other apps, there is only a black screen and it can't be killed except I reboot the machine. What's more it will fail to start gnome-session and we can only restart the system then. 

Reproduce steps:
----------------
1. xinit&
2. glxgears
Comment 1 Gordon Jin 2009-09-08 17:57:16 UTC
The user-level code is 2009Q3-rc1. It works with the latest kernel (2.6.31-ish) and Q2 kernel (2.6.30 based), but broken with Q1 kernel (2.6.29.1 based)
Comment 2 Jesse Barnes 2009-10-05 13:25:57 UTC
Does this happen with the final Q3 bits as well?
Comment 3 zhao jian 2009-10-09 23:54:13 UTC
(In reply to comment #2)
> Does this happen with the final Q3 bits as well?

Yes, it also happens with the final Q3 bits as well. 
Comment 4 Jesse Barnes 2010-01-26 14:42:22 UTC
Sorry never got around to this one.  But 2.6.29 is more than two versions old, I think that's all we try to support.
Comment 5 Gordon Jin 2010-01-26 19:18:57 UTC
acked